Create packing slip
curl --request GET \
--url https://api.managem.co.uk/seller/orders/{id}/packing-slip \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.managem.co.uk/seller/orders/{id}/packing-slip"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.managem.co.uk/seller/orders/{id}/packing-slip', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<unknown>"Packing slip
Create packing slip
Generate a packing slip document for an order.
Use this endpoint right before packing/dispatch to produce a printable artifact.
Input behavior:
- Accepts optional
formatquery parameter. - Supports document output in
pdforcsvdepending on request format.
Rules:
- Order must belong to the authenticated seller.
- Returns
404when the order cannot be found.
Response:
- Returns generated document bytes with a format-appropriate content type.
GET
/
seller
/
orders
/
{id}
/
packing-slip
Create packing slip
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Order ID
Query Parameters
Format to generate the packing slip in
Available options:
pdf, csv Response
Packing Slip
Packing slip document in PDF format